source: trunk/server/fedora/specs/openssh.spec.patch @ 2666

Last change on this file since 2666 was 2666, checked in by andersk, 8 years ago
Update openssh to 6.4p1-8.fc20 Fedora’s new patch openssh-6.4p1-GSSAPIEnablek5users.patch (CVE-2014-9278) conflicts with r2232 but also obviates the need for it, so this effectively reverts r2232.
File size: 1.2 KB
  • openssh.spec

    old new  
    7171Summary: An open source implementation of SSH protocol versions 1 and 2
    7272Name: openssh
    7373Version: %{openssh_ver}
    74 Release: %{openssh_rel}%{?dist}%{?rescue_rel}
     74Release: %{openssh_rel}%{?dist}%{?rescue_rel}.scripts.%{scriptsversion}
    7575URL: http://www.openssh.com/portable.html
    7676#URL1: http://pamsshagentauth.sourceforge.net
    7777Source0: ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-%{version}.tar.gz
     
    225225# Config parser shouldn't accept ip/port syntax (#1130733)
    226226Patch919: openssh-6.4p1-ip-port-config-parser.patch
    227227
     228Patch1001: openssh-4.7p1-gssapi-name-in-env.patch
     229
    228230License: BSD
    229231Group: Applications/Internet
    230232BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     
    282284Requires(pre): /usr/sbin/useradd
    283285Requires: pam >= 1.0.1-3
    284286Requires: fipscheck-lib%{_isa} >= 1.3.0
     287Provides: scripts-openssh-server
    285288Requires(post): systemd-units
    286289Requires(preun): systemd-units
    287290Requires(postun): systemd-units
     
    468471# Nothing here yet
    469472%endif
    470473
     474%patch1001 -p1 -b .gssapi-env
     475
    471476autoreconf
    472477pushd pam_ssh_agent_auth-%{pam_ssh_agent_ver}
    473478autoreconf
Note: See TracBrowser for help on using the repository browser.